// package sizex -- размеры объекта по X
package sizex

import "p78git.ddns.net/svi/libtui/alias"

// SizeX -- размеры объекта по X
type SizeX struct {
	val alias.SizeX
}

// NewSizeX -- возвращает новый объект размера по X
func NewSizeX() *SizeX {
	sf := &SizeX{}
	return sf
}

// Get -- возвращает хранимое значение размера по X
func (sf *SizeX) Get() alias.SizeX {
	return sf.val
}

// Set -- устанавливает хранимое значение размера по X
func (sf *SizeX) Set(sizeX alias.SizeX) {
	sf.val = sizeX
}
